Bug 90451 - Very Slow when doing send/receive on pop access to Exchange
Summary: Very Slow when doing send/receive on pop access to Exchange
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: evolution   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-08 15:36 UTC by Matt Suckel
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-29 20:52:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Suckel 2003-05-08 15:36:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
I am attempting to use evo to connect to my exchange server using POP mail.  In
previous versions it seemed ok...but now when you do a send/recieve it takes up
to about 3 minutes to complete when there are no new messages at all(mail is
stored on the server and not deleted).  I only experience this when connecting
to exchange, when I connect to sendmail MTA's all seems very responsive..


It is almost like something is timing out?



Version-Release number of selected component (if applicable):
1.2.2-5

How reproducible:
Always

Steps to Reproduce:
1.Add an account that connects to the exchange server using pop
2.do a send/recieve
3.
    

Actual Results:  very slow...I understand the slowness the first time..it has to
download all mail, but every time after that should be speedy shouldn't it?

Expected Results:  Resonsive send/recieve when there is no new mail...

Additional info:

Comment 1 Jeremy Katz 2003-05-16 22:08:27 UTC
If you run
CAMEL_VERBOSE_DEBUG=1 evolution-mail

from a terminal and then start evolution once that's ready, is there a lot of
traffic between the local client and the Exchange server?

Comment 2 Jeremy Katz 2003-06-29 20:52:26 UTC
Closing due to inactivity 

Comment 3 Harm Verhagen 2003-09-04 22:38:22 UTC
I am seeing this too.

Can this bug be reopened ?

Evolution 1.2.2-5 (RH9) is showing big performance problems with fetching mail
from a pop server. I have a cable connection to the internet (~800Kbit/s download)
Receiving new messages from my pop server seems to be exponential.
3 new messages:   about 7 seconds
12 new messages:  about 3-5 minutes
15 new messages:  about 30 mintues
35 new messages:  haven't seen this finish....
top shows that evolution is spending 100% cpu. (It isn't spending any noticably)

As I get typically >35 messages a day this really is a problem :)

Accessing the same mail server from a webmail interface is very responsive.

Any more details I can provide ?

Comment 4 Harm Verhagen 2003-09-04 22:39:50 UTC
Whoops a typo
>top shows that evolution is spending 100% cpu. (It isn't spending any noticably)

This shoud be:
top shows that evolution is _not_ spending 100% cpu. (It isn't spending any cpu
noticably)

Comment 5 Harm Verhagen 2003-09-06 19:13:49 UTC
OK, I found the cause of the slowlyness of evolution. Its not caused by
evolution. It was spamassassin.

I am using spamassassin from evolution to check each message. spamassassin uses
osirusoft.com to check wether it comes from a known spamsite. osirusoft.com is
down... -> spamassassin checking takes for ages.

Creating the following file:
/etc/mail/spamassassin/no-osiru.cf  
with the following content:
score   RCVD_IN_OSIRUSOFT_COM   0
score   X_OSIRU_DUL             0
score   X_OSIRU_DUL_FH          0
score   X_OSIRU_OPEN_RELAY      0
score   X_OSIRU_SPAM_SRC        0
score   X_OSIRU_SPAMWARE_SITE   0

fixed the problem completely for me.


Note You need to log in before you can comment on or make changes to this bug.